﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using System.Xml;
using System.Xml.Serialization;
//using System.IO.Compression;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Storage;
using Microsoft.Xna.Framework.GamerServices;
using AvatarBlockWar.Screens.NetworkScreens;
using ScreenManagement;

namespace AvatarBlockWar.DataStorage
{
    /// <summary>
    /// This class handles data storage of specific player data for specific players
    /// </summary>
    public static class PlayerDataStorage
    {

        #region Storage device methods

        /// <summary>
        /// Set a storage device for a player index.
        /// </summary>
        /// <param name="playerIndex"></param>
        public static void SetSpecificStorageDevice(PlayerIndex playerIndex)
        {
            // Ask the user to select a storage device.
            if (Program.storageDevices[(int)playerIndex] == null || !Program.storageDevices[(int)playerIndex].IsConnected)
            {
                if (!Guide.IsVisible)
                {
                    try
                    {
                        // Start to show the selector for a storage device, files are saved to a common
                        // container for all player profiles.
                        IAsyncResult result = StorageDevice.BeginShowSelector(null, null);

                        // Wait for the wait handle to become signaled.
                        result.AsyncWaitHandle.WaitOne();

                        // Get the storage device
                        Program.storageDevices[(int)playerIndex] = StorageDevice.EndShowSelector(result);

                        // Close the wait handle.
                        result.AsyncWaitHandle.Close();

                    }
                    catch (Exception exception)
                    {
                        String exMessage = exception.Message;
                    }
                }
            }

        } // End of the SetSpecificStorageDevice method

        #endregion

    } // End of the class

} // End of the namespace
