﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;

namespace MapObjects
{
    /// <summary>
    /// This class represent a 3D map with blocks.
    /// </summary>
    public class BlockMap3D
    {
        #region Variables

        public Int16 cubeSize;
        public Int16 mapWidthX;
        public Int16 mapDepthZ;
        public Int16 mapHeightY;
        public Int16[,,] cubes;

        #endregion

        #region Constructors

        /// <summary>
        /// Create a empty block map in a 3D world
        /// </summary>
        /// <param name="mapWidthX"></param>
        /// <param name="mapDepthZ"></param>
        /// <param name="mapHeightY"></param>
        public BlockMap3D(Int16 mapWidthX, Int16 mapDepthZ, Int16 mapHeightY, Int16 cubeSize)
        {
            // Set instance variables
            this.mapWidthX = mapWidthX;
            this.mapDepthZ = mapDepthZ;
            this.mapHeightY = mapHeightY;
            this.cubeSize = cubeSize;

            // Hold a texture number
            short textureNumber = 0;

            // Create the 3D list
            this.cubes = new Int16[mapWidthX, mapHeightY, mapDepthZ];

            // Create the cube map without any blocks.
            for (Int16 y = 0; y < mapHeightY; y++)
            {
                for (Int16 z = 0; z < mapDepthZ; z++)
                {
                    for (Int16 x = 0; x < mapWidthX; x++)
                    {
                        this.cubes[x, y, z] = textureNumber;
                    }
                }

                textureNumber = -1;
            }

        } // End of the parameterized constructor

        /// <summary>
        /// This empty constructor is used for XML-serialization
        /// </summary>
        public BlockMap3D()
        {

        } // End of the default constructor without parameters

        #endregion

    } // End of the class

} // End of the namespace
