﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using AvatarBlockWar.ParticleEngine;

namespace AvatarBlockWar.ParticleEffects
{
    /// <summary>
    /// This class represent a shot effect for an assault rifle
    /// </summary>
    public class AssaultRifleShotEffect : ParticleEffect
    {
        #region Constructors

        /// <summary>
        /// Create a new pistol shot effect
        /// </summary>
        /// <param name="content"></param>
        /// <param name="graphicsDevice"></param>
        public AssaultRifleShotEffect(ContentManager content, GraphicsDevice graphicsDevice)
            : base(content, graphicsDevice)
        {

            // Create a new particle settings object.
            this.settings = new ParticleSettings();

            // Change the settings for the particle settings object.
            this.settings.TextureName = "EffectTextures/bubbleEffect";
            this.settings.MaxParticles = 100;
            this.settings.Duration = TimeSpan.FromSeconds(1f);
            this.settings.DurationRandomness = 1;
            this.settings.MinHorizontalVelocity = 0;
            this.settings.MaxHorizontalVelocity = 0;
            this.settings.MinVerticalVelocity = 0;
            this.settings.MaxVerticalVelocity = 0;
            this.settings.EndVelocity = 100;
            this.settings.MinColor = Color.White;
            this.settings.MaxColor = Color.White;
            this.settings.MinRotateSpeed = 0;
            this.settings.MaxRotateSpeed = 0;
            this.settings.MinStartSize = 5f;
            this.settings.MaxStartSize = 5f;
            this.settings.MinEndSize = 2f;
            this.settings.MaxEndSize = 2f;

            // Shots shall not fall to the ground
            this.settings.Gravity = new Vector3(0, -5, 0);

            // Use additive blending.
            this.settings.BlendState = BlendState.AlphaBlend;

            // Create a new particle system.
            this.particleSystem = new ParticleSystem(content, graphicsDevice, this.settings);

        } // End of the constructor

        #endregion

    } // End of the class

} // End of the namespace
