using System;
using Microsoft.Xna.Framework.Storage;
using MapObjects;

namespace AvatarBlockWar
{
#if WINDOWS || XBOX

    /// <summary>
    /// This static class will start the game.
    /// </summary>
    static class Program
    {
        #region Variables

        // Static variables for game settings
        public static bool isSurvivor = true;
        public static int numberOfLives = 20;
        public static int totalGameTimeMilliseconds = 300000;

        // The selected map name in network games.
        public static int selectedMap = 0;
        public static string selectedMapName = "Unknown";

        // A common storage device for all player index
        public static StorageDevice commonStorageDevice = null;

        // Static variables for controller settings, playerindex 1 to 4 (0 to 3).
        public static bool[] invertedAxisX = new bool[] { false, false, false, false };
        public static bool[] invertedAxisY = new bool[] { false, false, false, false };

        // Storage devices for player index 1 to 4 (0 to 3)
        public static StorageDevice[] storageDevices = new StorageDevice[] { null, null, null, null };

        #endregion

        /// <summary>
        /// The main entry point for this game.
        /// </summary>
        static void Main(string[] args)
        {
            using (GameEngine game = new GameEngine())
            {
                // Start the game
                game.Run();
            }
        }

    } // End of the class

#endif

} // End of the namespace

